heartbeat.h File Reference

## Description

Send "heartbeat" to device to allow service connections over network.

## Macros

#define | HEARTBEAT_SERVICE_NAME "com.apple.mobile.heartbeat"
| Service identifier passed to lockdownd_start_service() to start the heartbeat service.

## Typedefs

typedef heartbeat_client_private * | heartbeat_client_t
| The client handle.

## Enumerations

enum | heartbeat_error_t { HEARTBEAT_E_SUCCESS = 0 , HEARTBEAT_E_INVALID_ARG = -1 , HEARTBEAT_E_PLIST_ERROR = -2 , HEARTBEAT_E_MUX_ERROR = -3 , HEARTBEAT_E_SSL_ERROR = -4 , HEARTBEAT_E_NOT_ENOUGH_DATA = -5 , HEARTBEAT_E_TIMEOUT = -6 , HEARTBEAT_E_UNKNOWN_ERROR = -256 }
| Error Codes.

## Functions

LIBIMOBILEDEVICE_API heartbeat_error_t | heartbeat_client_new (idevice_t device, lockdownd_service_descriptor_t service, heartbeat_client_t *client)
| Connects to the heartbeat service on the specified device.
LIBIMOBILEDEVICE_API heartbeat_error_t | heartbeat_client_start_service (idevice_t device, heartbeat_client_t *client, const char *label)
| Starts a new heartbeat service on the specified device and connects to it.
LIBIMOBILEDEVICE_API heartbeat_error_t | heartbeat_client_free (heartbeat_client_t client)
| Disconnects a heartbeat client from the device and frees up the heartbeat client data.
LIBIMOBILEDEVICE_API heartbeat_error_t | heartbeat_send (heartbeat_client_t client, plist_t plist)
| Sends a plist to the service.
LIBIMOBILEDEVICE_API heartbeat_error_t | heartbeat_receive (heartbeat_client_t client, plist_t *plist)
| Receives a plist from the service.
LIBIMOBILEDEVICE_API heartbeat_error_t | heartbeat_receive_with_timeout (heartbeat_client_t client, plist_t *plist, uint32_t timeout_ms)
| Receives a plist using the given heartbeat client.